#ifndef _SYMMETRY_POINT_H
#define _SYMMETRY_POINT_H

//
// Author:  Christoph Dalitz
// Date:    2013/01/03
//

#include <opencv2/core/core.hpp>
#include <vector>


// classes for storing a list of symmetry points
class SymmetryPoint {
public:
  cv::Point point;
  double value;
  SymmetryPoint(const SymmetryPoint& s) {
    point = s.point; value = s.value;
  }
  SymmetryPoint(const cv::Point& p, double v) {
    point = p; value = v;
  }
  SymmetryPoint& operator=(const SymmetryPoint& s) {
    point = s.point; value = s.value;
    return *this;
  }
  bool operator<(const SymmetryPoint& s) const {
    return (value < s.value);
  }
};
typedef std::vector<SymmetryPoint> SymmetryPointVector;


// helper function for descending sort
inline bool sortinverse(const SymmetryPoint& p1, const SymmetryPoint& p2)
{
  return (p1.value>p2.value);
}

#endif
